//+------------------------------------------------------------------+
//|                                           Check_MA_Parametrs.mqh |
//|  :                                                      |
//|  V0  15.04.2010 :                                      |
//|  -     MA                            |
//|                                              valenok2003@mail.ru |
//|                                                    ICQ 365919666 |
//|                                     ,  .|
//|                                http://mebel-for-you.com/programs |
//+------------------------------------------------------------------+
extern string MA_method  = "SMA";
extern string MA_price   = "OPEN";
extern string MA_tf      = "0";
int ma_method;
int ma_price;
int ma_tf;

//+------------------------------------------------------------------+
//| My function                                                      |
//+------------------------------------------------------------------+
void Check_MA_Parametrs(string name_function)
{
//   --------------------------------------   
   int _met = 0;
   if(MA_method == "SMA"  || MA_method == "sma") { ma_method = MODE_SMA;  _met = 1;}
   if(MA_method == "EMA"  || MA_method == "ema") { ma_method = MODE_EMA;  _met = 1;}
   if(MA_method == "SMMA" || MA_method == "smma"){ ma_method = MODE_SMMA; _met = 1;}
   if(MA_method == "LWMA" || MA_method == "lwma"){ ma_method = MODE_LWMA; _met = 1;}
   if(_met == 0)
   {
     Alert( name_function,":",
            "\n  MA:",
            "\n   = ", MA_method,"  .",
            "\n  - SMA, EMA, SMMA, LWMA   ",
            "\n   ,     SMA"
          );
     ma_method = MODE_SMA; MA_method = "SMA";
   }
   int _prc = 0;
   if(MA_price == "CLOSE" || MA_price == "close"){ ma_price = PRICE_CLOSE;    _prc = 1;}
   if(MA_price == "OPEN"  || MA_price == "open") { ma_price = PRICE_OPEN;     _prc = 1;}
   if(MA_price == "HIGH"  || MA_price == "high") { ma_price = PRICE_HIGH;     _prc = 1;}
   if(MA_price == "LOW"   || MA_price == "low")  { ma_price = PRICE_LOW;      _prc = 1;}
   if(MA_price == "MED"   || MA_price == "med")  { ma_price = PRICE_MEDIAN;   _prc = 1;}
   if(MA_price == "TYP"   || MA_price == "typ")  { ma_price = PRICE_TYPICAL;  _prc = 1;}
   if(MA_price == "WEIG"  || MA_price == "weig") { ma_price = PRICE_WEIGHTED; _prc = 1;}
   if(_prc == 0)
   {  
     Alert( name_function,":",
            "\n  MA:",
            "\n   = ", MA_price,"  ",
            "\n  - CLOSE, OPEN, HIGH, LOW, MED, TYP,WEIG    ",
            "\n   ,     OPEN"
          );
     ma_price = PRICE_OPEN; MA_price = "OPEN";
   }
   int _tf = 0;
   if(MA_tf == "0"   || MA_tf == "0")  {ma_tf = 0;          _tf = 1;}
   if(MA_tf == "M1"  || MA_tf == "m1") {ma_tf = PERIOD_M1;  _tf = 1;}
   if(MA_tf == "M5"  || MA_tf == "m5") {ma_tf = PERIOD_M5;  _tf = 1;}
   if(MA_tf == "M15" || MA_tf == "m15"){ma_tf = PERIOD_M15; _tf = 1;}
   if(MA_tf == "M30" || MA_tf == "m30"){ma_tf = PERIOD_M30; _tf = 1;}
   if(MA_tf == "H1"  || MA_tf == "h1") {ma_tf = PERIOD_H1;  _tf = 1;}
   if(MA_tf == "H4"  || MA_tf == "h4") {ma_tf = PERIOD_H4;  _tf = 1;}
   if(MA_tf == "D"   || MA_tf == "d")  {ma_tf = PERIOD_D1;  _tf = 1;}
   if(MA_tf == "W"   || MA_tf == "w")  {ma_tf = PERIOD_W1;  _tf = 1;}
   if(MA_tf == "MN"  || MA_tf == "mn") {ma_tf = PERIOD_MN1; _tf = 1;}
   if(_tf == 0) 
   {  
     Alert( name_function,":",
            "\n  MA:",
            "\n   = ", MA_tf,"  ",
            "\n  - 0, M1, M5, M15, M30, H1, H4, D, W, MN    ",
            "\n   ,     0"
          );
     ma_tf = 0; MA_tf = "0";
   }

//--------------------------------------------------------------------

  return;
}
//+------------------------------------------------------------------+